add_library( kgroupwarebase-shared SHARED IMPORTED )

set_target_properties( kgroupwarebase-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdepim-shared"
  IMPORTED_LOCATION "/usr/lib64/libkgroupwarebase.so.0.0.0"
  IMPORTED_SONAME "libkgroupwarebase.so.0" )

add_library( kgroupwaredav-shared SHARED IMPORTED )

set_target_properties( kgroupwaredav-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwarebase-shared"
  IMPORTED_LOCATION "/usr/lib64/libkgroupwaredav.so.0.0.0"
  IMPORTED_SONAME "libkgroupwaredav.so.0" )

add_library( kcal_resourceremote-shared SHARED IMPORTED )

set_target_properties( kcal_resourceremote-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdepim-shared"
  IMPORTED_LOCATION "/usr/lib64/libkcal_resourceremote.so.1.0.0"
  IMPORTED_SONAME "libkcal_resourceremote.so.1" )

add_library( kabc_xmlrpc-shared SHARED IMPORTED )

set_target_properties( kabc_xmlrpc-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdepim-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc_xmlrpc.so.1.0.0"
  IMPORTED_SONAME "libkabc_xmlrpc.so.1" )

add_library( kcal_xmlrpc-shared SHARED IMPORTED )

set_target_properties( kcal_xmlrpc-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdepim-shared"
  IMPORTED_LOCATION "/usr/lib64/libkcal_xmlrpc.so.1.0.0"
  IMPORTED_SONAME "libkcal_xmlrpc.so.1" )

add_library( knotes_xmlrpc-shared SHARED IMPORTED )

set_target_properties( knotes_xmlrpc-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "knotes-shared"
  IMPORTED_LOCATION "/usr/lib64/libknotes_xmlrpc.so.1.0.0"
  IMPORTED_SONAME "libknotes_xmlrpc.so.1" )

add_library( kabckolab-shared SHARED IMPORTED )

set_target_properties( kabckolab-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwarebase-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabckolab.so.0.0.0"
  IMPORTED_SONAME "libkabckolab.so.0" )

add_library( knoteskolab-shared SHARED IMPORTED )

set_target_properties( knoteskolab-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwarebase-shared;knotes-shared"
  IMPORTED_LOCATION "/usr/lib64/libknoteskolab.so.0.0.0"
  IMPORTED_SONAME "libknoteskolab.so.0" )

add_library( kcalkolab-shared SHARED IMPORTED )

set_target_properties( kcalkolab-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwarebase-shared"
  IMPORTED_LOCATION "/usr/lib64/libkcalkolab.so.0.0.0"
  IMPORTED_SONAME "libkcalkolab.so.0" )

add_library( kslox-shared SHARED IMPORTED )

set_target_properties( kslox-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdepim-shared"
  IMPORTED_LOCATION "/usr/lib64/libkslox.so.0.0.0"
  IMPORTED_SONAME "libkslox.so.0" )

add_library( kabc_slox-shared SHARED IMPORTED )

set_target_properties( kabc_slox-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kslox-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc_slox.so.0.0.0"
  IMPORTED_SONAME "libkabc_slox.so.0" )

add_library( kcal_slox-shared SHARED IMPORTED )

set_target_properties( kcal_slox-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kslox-shared"
  IMPORTED_LOCATION "/usr/lib64/libkcal_slox.so.0.0.0"
  IMPORTED_SONAME "libkcal_slox.so.0" )

add_library( gwsoap-shared SHARED IMPORTED )

set_target_properties( gwsoap-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdepim-shared"
  IMPORTED_LOCATION "/usr/lib64/libgwsoap.so.0.0.0"
  IMPORTED_SONAME "libgwsoap.so.0" )

add_library( kcal_groupwise-shared SHARED IMPORTED )

set_target_properties( kcal_groupwise-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "gwsoap-shared"
  IMPORTED_LOCATION "/usr/lib64/libkcal_groupwise.so.1.0.0"
  IMPORTED_SONAME "libkcal_groupwise.so.1" )

add_library( kabc_groupwise-shared SHARED IMPORTED )

set_target_properties( kabc_groupwise-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "gwsoap-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc_groupwise.so.1.0.0"
  IMPORTED_SONAME "libkabc_groupwise.so.1" )

add_library( kcal_resourcefeatureplan-shared SHARED IMPORTED )

set_target_properties( kcal_resourcefeatureplan-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdepim-shared"
  IMPORTED_LOCATION "/usr/lib64/libkcal_resourcefeatureplan.so.1.0.0"
  IMPORTED_SONAME "libkcal_resourcefeatureplan.so.1" )

add_library( kcal_groupdav-shared SHARED IMPORTED )

set_target_properties( kcal_groupdav-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwaredav-shared"
  IMPORTED_LOCATION "/usr/lib64/libkcal_groupdav.so.1.0.0"
  IMPORTED_SONAME "libkcal_groupdav.so.1" )

add_library( kabc_groupdav-shared SHARED IMPORTED )

set_target_properties( kabc_groupdav-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwaredav-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc_groupdav.so.1.0.0"
  IMPORTED_SONAME "libkabc_groupdav.so.1" )

add_library( kcal_newexchange-shared SHARED IMPORTED )

set_target_properties( kcal_newexchange-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwaredav-shared"
  IMPORTED_LOCATION "/usr/lib64/libkcal_newexchange.so.1.0.0"
  IMPORTED_SONAME "libkcal_newexchange.so.1" )

add_library( kabc_newexchange-shared SHARED IMPORTED )

set_target_properties( kabc_newexchange-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwaredav-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc_newexchange.so.1.0.0"
  IMPORTED_SONAME "libkabc_newexchange.so.1" )

add_library( kabcscalix-shared SHARED IMPORTED )

set_target_properties( kabcscalix-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwarebase-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabcscalix.so.0.0.0"
  IMPORTED_SONAME "libkabcscalix.so.0" )

add_library( kcalscalix-shared SHARED IMPORTED )

set_target_properties( kcalscalix-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwarebase-shared"
  IMPORTED_LOCATION "/usr/lib64/libkcalscalix.so.0.0.0"
  IMPORTED_SONAME "libkcalscalix.so.0" )

add_library( knotesscalix-shared SHARED IMPORTED )

set_target_properties( knotesscalix-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kgroupwarebase-shared;knotes-shared"
  IMPORTED_LOCATION "/usr/lib64/libknotesscalix.so.0.0.0"
  IMPORTED_SONAME "libknotesscalix.so.0" )

add_library( kcal_caldav-shared SHARED IMPORTED )

set_target_properties( kcal_caldav-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdepim-shared;gthread-2.0;rt;glib-2.0;curl;caldav"
  IMPORTED_LOCATION "/usr/lib64/libkcal_caldav.so.1.0.0"
  IMPORTED_SONAME "libkcal_caldav.so.1" )

add_library( kabc_carddav-shared SHARED IMPORTED )

set_target_properties( kabc_carddav-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdepim-shared;gthread-2.0;rt;glib-2.0;curl;carddav"
  IMPORTED_LOCATION "/usr/lib64/libkabc_carddav.so.1.0.0"
  IMPORTED_SONAME "libkabc_carddav.so.1" )

